# PlayerCard (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.card.data
Class PlayerCard

    java.lang.Object
      com.threerings.parlor.card.data.PlayerCard

All Implemented Interfaces:
  com.threerings.io.Streamable

    public class PlayerCard

extends Object
implements com.threerings.io.Streamable

Pairs a player index with the card that the player played in the trick.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Field Summary
`Card` `card` The card that the player played.
`int` `pidx` The index of the player.

Constructor Summary
`PlayerCard()` No-argument constructor for deserialization.
`PlayerCard(int pidx, Card card)` Creates a new player card.

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pidx

    public int pidx

  The index of the player.

### card

    public Card card

  The card that the player played.

Constructor Detail

### PlayerCard

    public PlayerCard()

  No-argument constructor for deserialization.

### PlayerCard

    public PlayerCard(int pidx,
                      Card card)

  Creates a new player card.

  Parameters:
    `pidx` - the index of the player
    `card` - the card played

Copyright © 2011. All Rights Reserved.